ClientPNames (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.params
Interface ClientPNames

All Known Subinterfaces:
  AllClientPNames

Deprecated. (4.3) use `RequestConfig`.

    @Deprecated
    public interface ClientPNames

Parameter names for HTTP client parameters.

Since:
  4.0

Field Summary
`static String` | `ALLOW_CIRCULAR_REDIRECTS` Deprecated. Defines whether circular redirects (redirects to the same location) should be allowed.
`static String` | `CONN_MANAGER_TIMEOUT` Deprecated. Defines the timeout in milliseconds used when retrieving an instance of `ManagedClientConnection` from the `ClientConnectionManager`.
`static String` | `CONNECTION_MANAGER_FACTORY_CLASS_NAME` Deprecated.
`static String` | `COOKIE_POLICY` Deprecated. Defines the name of the cookie specification to be used for HTTP state management.
`static String` | `DEFAULT_HEADERS` Deprecated. Defines the request headers to be sent per default with each request.
`static String` | `DEFAULT_HOST` Deprecated. Defines the default host.
`static String` | `HANDLE_AUTHENTICATION` Deprecated. Defines whether authentication should be handled automatically.
`static String` | `HANDLE_REDIRECTS` Deprecated. Defines whether redirects should be handled automatically
`static String` | `MAX_REDIRECTS` Deprecated. Defines the maximum number of redirects to be followed.
`static String` | `REJECT_RELATIVE_REDIRECT` Deprecated. Defines whether relative redirects should be rejected.
`static String` | `VIRTUAL_HOST` Deprecated. Defines the virtual host to be used in the `Host` request header instead of the physical host.

Field Detail

### CONNECTION_MANAGER_FACTORY_CLASS_NAME

    static final String CONNECTION_MANAGER_FACTORY_CLASS_NAME

  Deprecated.
  See Also:
    Constant Field Values

### HANDLE_REDIRECTS

    static final String HANDLE_REDIRECTS

  Deprecated.
  Defines whether redirects should be handled automatically

  This parameter expects a value of type `Boolean`.

  See Also:
    Constant Field Values

### REJECT_RELATIVE_REDIRECT

    static final String REJECT_RELATIVE_REDIRECT

  Deprecated.
  Defines whether relative redirects should be rejected. HTTP specification requires the location value be an absolute URI.

  This parameter expects a value of type `Boolean`.

  See Also:
    Constant Field Values

### MAX_REDIRECTS

    static final String MAX_REDIRECTS

  Deprecated.
  Defines the maximum number of redirects to be followed. The limit on number of redirects is intended to prevent infinite loops.

  This parameter expects a value of type `Integer`.

  See Also:
    Constant Field Values

### ALLOW_CIRCULAR_REDIRECTS

    static final String ALLOW_CIRCULAR_REDIRECTS

  Deprecated.
  Defines whether circular redirects (redirects to the same location) should be allowed. The HTTP spec is not sufficiently clear whether circular redirects are permitted, therefore optionally they can be enabled

  This parameter expects a value of type `Boolean`.

  See Also:
    Constant Field Values

### HANDLE_AUTHENTICATION

    static final String HANDLE_AUTHENTICATION

  Deprecated.
  Defines whether authentication should be handled automatically.

  This parameter expects a value of type `Boolean`.

  See Also:
    Constant Field Values

### COOKIE_POLICY

    static final String COOKIE_POLICY

  Deprecated.
  Defines the name of the cookie specification to be used for HTTP state management.

  This parameter expects a value of type `String`.

  See Also:
    Constant Field Values

### VIRTUAL_HOST

    static final String VIRTUAL_HOST

  Deprecated.
  Defines the virtual host to be used in the `Host` request header instead of the physical host.

  This parameter expects a value of type `HttpHost`.

  If a port is not provided, it will be derived from the request URL.

  See Also:
    Constant Field Values

### DEFAULT_HEADERS

    static final String DEFAULT_HEADERS

  Deprecated.
  Defines the request headers to be sent per default with each request.

  This parameter expects a value of type `Collection`. The collection is expected to contain `Header`s.

  See Also:
    Constant Field Values

### DEFAULT_HOST

    static final String DEFAULT_HOST

  Deprecated.
  Defines the default host. The default value will be used if the target host is not explicitly specified in the request URI.

  This parameter expects a value of type `HttpHost`.

  See Also:
    Constant Field Values

### CONN_MANAGER_TIMEOUT

    static final String CONN_MANAGER_TIMEOUT

  Deprecated.
  Defines the timeout in milliseconds used when retrieving an instance of `ManagedClientConnection` from the `ClientConnectionManager`.

  This parameter expects a value of type `Long`.

  Since:
    4.2
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.